from serverClient import server_to_esp32 #esp32_to_server
import time

brokerip="192.168.8.103"  
port=1883 #port number for broker
keepAlive=60 #keep alive time in seconds for broker
#MaxTryCount = 5
timeout = 60  #idle timeout period in seconds. 
#when using 30 seconds the client will timeout if there are new files in the server that needs to be copied.
extractloc="C:/Workspace"#extract location
zippath="C:/Workspace/serverWeb.zip" #zip file location #"C:/Workspace/esp32/filesynchpy/allf-4-20mA-21.08a.zip"
#most recent zip file "C:/Workspace/esp32/filesynchpy/allf-4-20mA-21.08b.zip"synchminiserver.zip
uniqueid="c4dd577062b4" #unique id of the device
filetopic = "topic/filedata1" #topic to be used for file data
statustopic = "topic/status1" #topic to be used for status
username = "test_device2" # username for broker
password = "12345678" # password for broker
cid = "py" #client id for the broker
    
start=time.time()
# esp32_to_server(brokerip,filename,filename2,uniqueid)
server_to_esp32(brokerip,port,keepAlive,cid,extractloc,zippath,uniqueid,filetopic,statustopic,timeout,username,password)
end=time.time()
print("time spent :")
print(end-start)


##########################################################################
#use this function to send files from esp32 to server
#brokerip=IP address of the broker, filename = path and filename of file to copy
#filename2=path and filename of destination location, uniqueid=unique id for the targeted device   
#esp32_to_server(brokerip1,filename1,filename21,uniqueid1)
